List buyer advertiser mappings
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"mappings": [
{
"id": "<string>",
"operatorDomain": "<string>",
"gamAdvertiserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"brandHouse": "<string>",
"brandId": "<string>",
"principalId": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront Ad Server Buyer Routing
List buyer advertiser mappings
List buyer-to-GAM advertiser routing mappings for a Google Ad Manager-backed ad server source.
GET
/
esa
/
{esaId}
/
buyer-advertiser-mappings
List buyer advertiser mappings
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"mappings": [
{
"id": "<string>",
"operatorDomain": "<string>",
"gamAdvertiserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"brandHouse": "<string>",
"brandId": "<string>",
"principalId": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Ad server source connection id. The wire field remains esaId for API compatibility.
Required range:
0 < x <= 9007199254740991Example:
123
Response
List buyer advertiser mappings
Show child attributes
Show child attributes